<?php 
//incluir la conexion de base de datos
require "../config/Conexion.php";
class Tipocliente{


	//implementamos nuestro constructor
public function __construct(){

}

//metodo insertar regiustro
public function insertar($nombre,$descripcion){
	$sql="INSERT INTO tipoclientes (nombre,descripcion,condicion) VALUES ('$nombre','$descripcion','1')";
	return ejecutarConsulta($sql);
}

public function editar($idtipocliente,$nombre,$descripcion){
	$sql="UPDATE tipoclientes SET nombre='$nombre',descripcion='$descripcion' 
	WHERE idtipocliente='$idtipocliente'";
	return ejecutarConsulta($sql);
}
public function desactivar($idtipocliente){
	$sql="UPDATE tipoclientes SET condicion='0' WHERE idtipocliente='$idtipocliente'";
	return ejecutarConsulta($sql);
}
public function activar($idtipocliente){
	$sql="UPDATE tipoclientes SET condicion='1' WHERE idtipocliente='$idtipocliente'";
	return ejecutarConsulta($sql);
}

//metodo para mostrar registros
public function mostrar($idtipocliente){
	$sql="SELECT * FROM tipoclientes WHERE idtipocliente='$idtipocliente'";
	return ejecutarConsultaSimpleFila($sql);
}

//listar registros
public function listar(){
	$sql="SELECT * FROM tipoclientes";
	return ejecutarConsulta($sql);
}
//listar y mostrar en selct
public function select(){
	$sql="SELECT * FROM tipoclientes WHERE condicion=1";
	return ejecutarConsulta($sql);
}
}

 ?>
